### Method

# Gtk IconView get_model

deprecated: 4.10

#### Declaration [src]

    GtkTreeModel*
    gtk_icon_view_get_model (
      GtkIconView* icon_view
    )

#### Description [src]

Returns the model the `GtkIconView` is based on. Returns `NULL` if the model is unset.

Deprecated since: 4.10

Use `GtkGridView` instead.

Gets property | `Gtk.IconView:model`

#### Return value

Type: `GtkTreeModel`

The currently used `GtkTreeModel`.

The returned data is owned by the instance.
The return value can be `NULL`.